/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG07_Tarea;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import persistencia.UtilClass;


/**
 *
 * @author Abraham Fernandez Sanchez
 */
public final class VentanaPrincipal extends javax.swing.JFrame {

    WindowNewEmpleado windowNewProfesor;
    UtilClass util;

    
    /**
     * Creates new form VentanaPrincipal
     */
    public VentanaPrincipal() {        
        arranqueSistemas();
        initComponents();  
       
    }

    /**
     * Metodos necesarios provenientes de otros paquetes y clases necesarios para iniciar el sistema
     */
    public void arranqueSistemas(){
        util = new UtilClass();
        try {
            util.loadFileEmpleados();
            util.loadFileTrabajos();
        } catch (IOException | ClassNotFoundException ex) {
            Logger.getLogger(VentanaPrincipal.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jInternalFramePrincipal = new javax.swing.JInternalFrame();
        jToolBar1 = new javax.swing.JToolBar();
        jButtonNewEmpleado = new javax.swing.JButton();
        jButtonEditarEmpleado = new javax.swing.JButton();
        jButtonListadoEmpleados = new javax.swing.JButton();
        jSeparator2 = new javax.swing.JToolBar.Separator();
        jButtonNewTrabajo = new javax.swing.JButton();
        jButtonEditarTrabajo = new javax.swing.JButton();
        jButtonListadoTrabajos = new javax.swing.JButton();
        jSeparator3 = new javax.swing.JToolBar.Separator();
        jButtonGuardar = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuItemGuardar = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JPopupMenu.Separator();
        jMenuISalir = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        jMenuItemNewEmpleado = new javax.swing.JMenuItem();
        jMenuItemNewTrabajo = new javax.swing.JMenuItem();
        jMenu3 = new javax.swing.JMenu();
        jMenuItemEditarEmpleado = new javax.swing.JMenuItem();
        jMenuItemEditarTrabajo = new javax.swing.JMenuItem();
        jMenu5 = new javax.swing.JMenu();
        jMenuItemListadoEmpleados = new javax.swing.JMenuItem();
        jMenuItemListadoTrabajos = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jInternalFramePrincipal.setVisible(true);

        javax.swing.GroupLayout jInternalFramePrincipalLayout = new javax.swing.GroupLayout(jInternalFramePrincipal.getContentPane());
        jInternalFramePrincipal.getContentPane().setLayout(jInternalFramePrincipalLayout);
        jInternalFramePrincipalLayout.setHorizontalGroup(
            jInternalFramePrincipalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 0, Short.MAX_VALUE)
        );
        jInternalFramePrincipalLayout.setVerticalGroup(
            jInternalFramePrincipalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 674, Short.MAX_VALUE)
        );

        jToolBar1.setFloatable(false);
        jToolBar1.setRollover(true);
        jToolBar1.setAutoscrolls(true);
        jToolBar1.setDoubleBuffered(true);
        jToolBar1.setFocusCycleRoot(true);
        jToolBar1.setFocusTraversalPolicyProvider(true);
        jToolBar1.setInheritsPopupMenu(true);

        jButtonNewEmpleado.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f007(17)_32.png"))); // NOI18N
        jButtonNewEmpleado.setToolTipText("Alta de un nuevo Empleado");
        jButtonNewEmpleado.setBorderPainted(false);
        jButtonNewEmpleado.setFocusable(false);
        jButtonNewEmpleado.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonNewEmpleado.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonNewEmpleado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNewEmpleadoActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonNewEmpleado);

        jButtonEditarEmpleado.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f040(13)_32.png"))); // NOI18N
        jButtonEditarEmpleado.setToolTipText("Editar Empleado");
        jButtonEditarEmpleado.setFocusable(false);
        jButtonEditarEmpleado.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonEditarEmpleado.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonEditarEmpleado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditarEmpleadoActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonEditarEmpleado);

        jButtonListadoEmpleados.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f00b(4)_32.png"))); // NOI18N
        jButtonListadoEmpleados.setToolTipText("Listado de Empleados");
        jButtonListadoEmpleados.setFocusable(false);
        jButtonListadoEmpleados.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonListadoEmpleados.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonListadoEmpleados.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonListadoEmpleadosActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonListadoEmpleados);
        jToolBar1.add(jSeparator2);

        jButtonNewTrabajo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f055(15)_32.png"))); // NOI18N
        jButtonNewTrabajo.setToolTipText("Alta de un nuevo trabajo");
        jButtonNewTrabajo.setFocusable(false);
        jButtonNewTrabajo.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonNewTrabajo.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonNewTrabajo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNewTrabajoActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonNewTrabajo);

        jButtonEditarTrabajo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f044(7)_32.png"))); // NOI18N
        jButtonEditarTrabajo.setToolTipText("Editar Trabajo");
        jButtonEditarTrabajo.setFocusable(false);
        jButtonEditarTrabajo.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonEditarTrabajo.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonEditarTrabajo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditarTrabajoActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonEditarTrabajo);

        jButtonListadoTrabajos.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f03a(1)_32.png"))); // NOI18N
        jButtonListadoTrabajos.setToolTipText("Listado de Trabajos");
        jButtonListadoTrabajos.setFocusable(false);
        jButtonListadoTrabajos.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonListadoTrabajos.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonListadoTrabajos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonListadoTrabajosActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonListadoTrabajos);
        jToolBar1.add(jSeparator3);

        jButtonGuardar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f0c7(0)_32.png"))); // NOI18N
        jButtonGuardar.setFocusable(false);
        jButtonGuardar.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonGuardar.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButtonGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonGuardarActionPerformed(evt);
            }
        });
        jToolBar1.add(jButtonGuardar);

        jMenu1.setText("Archivo");

        jMenuItemGuardar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f0c7(0)_16.png"))); // NOI18N
        jMenuItemGuardar.setText("Guardar");
        jMenuItemGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemGuardarActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItemGuardar);
        jMenu1.add(jSeparator1);

        jMenuISalir.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f011(6)_16.png"))); // NOI18N
        jMenuISalir.setText("Salir");
        jMenuISalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuISalirActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuISalir);

        jMenuBar1.add(jMenu1);

        jMenu2.setText("Alta");

        jMenuItemNewEmpleado.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f007(17)_16.png"))); // NOI18N
        jMenuItemNewEmpleado.setText("Alta Empleado");
        jMenuItemNewEmpleado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemNewEmpleadoActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItemNewEmpleado);

        jMenuItemNewTrabajo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f055(15)_16.png"))); // NOI18N
        jMenuItemNewTrabajo.setText("Alta Tipo Trabajo");
        jMenuItemNewTrabajo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemNewTrabajoActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItemNewTrabajo);

        jMenuBar1.add(jMenu2);

        jMenu3.setText("Datos");

        jMenuItemEditarEmpleado.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f040(13)_16.png"))); // NOI18N
        jMenuItemEditarEmpleado.setText("Editar Empleado");
        jMenuItemEditarEmpleado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemEditarEmpleadoActionPerformed(evt);
            }
        });
        jMenu3.add(jMenuItemEditarEmpleado);

        jMenuItemEditarTrabajo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f044(7)_16.png"))); // NOI18N
        jMenuItemEditarTrabajo.setText("Editar Tipo Trabajo");
        jMenuItemEditarTrabajo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemEditarTrabajoActionPerformed(evt);
            }
        });
        jMenu3.add(jMenuItemEditarTrabajo);

        jMenuBar1.add(jMenu3);

        jMenu5.setText("Listados");

        jMenuItemListadoEmpleados.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f00b(4)_16.png"))); // NOI18N
        jMenuItemListadoEmpleados.setText("Listado Empleados");
        jMenuItemListadoEmpleados.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemListadoEmpleadosActionPerformed(evt);
            }
        });
        jMenu5.add(jMenuItemListadoEmpleados);

        jMenuItemListadoTrabajos.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f03a(1)_16.png"))); // NOI18N
        jMenuItemListadoTrabajos.setText("Listado Trabajos");
        jMenuItemListadoTrabajos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemListadoTrabajosActionPerformed(evt);
            }
        });
        jMenu5.add(jMenuItemListadoTrabajos);

        jMenuBar1.add(jMenu5);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jToolBar1, javax.swing.GroupLayout.DEFAULT_SIZE, 612, Short.MAX_VALUE)
            .addComponent(jInternalFramePrincipal)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jToolBar1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jInternalFramePrincipal))
        );

        try {
            jInternalFramePrincipal.setMaximum(true);
        } catch (java.beans.PropertyVetoException e1) {
            e1.printStackTrace();
        }

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jMenuISalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuISalirActionPerformed
            //0=SI - 1=NO 
            String mensaje = "(Recuerda que si no has guardado tus cambios se perderan) \n¿Has guardado los cambios realizados?";
            int respuesta = JOptionPane.showConfirmDialog(null, mensaje, "Confirmación", JOptionPane.YES_NO_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if(respuesta==0){
                System.exit(0);
            }      
        
    }//GEN-LAST:event_jMenuISalirActionPerformed

    private void jMenuItemNewEmpleadoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemNewEmpleadoActionPerformed
        WindowNewEmpleado windowNewEmpleado = new WindowNewEmpleado();                     
        jInternalFramePrincipal.add(windowNewEmpleado);
        windowNewEmpleado.setVisible(true); 
    }//GEN-LAST:event_jMenuItemNewEmpleadoActionPerformed

    private void jMenuItemNewTrabajoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemNewTrabajoActionPerformed
        WindowNewTipoTrabajo windowNewTipoTrabajo = new WindowNewTipoTrabajo();                     
        jInternalFramePrincipal.add(windowNewTipoTrabajo);
        windowNewTipoTrabajo.setVisible(true); 
    }//GEN-LAST:event_jMenuItemNewTrabajoActionPerformed

    private void jMenuItemListadoEmpleadosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemListadoEmpleadosActionPerformed
       WindowShowEmpleados windowShowEmpleados = new WindowShowEmpleados();                     
        jInternalFramePrincipal.add(windowShowEmpleados);
        windowShowEmpleados.setVisible(true);         
    }//GEN-LAST:event_jMenuItemListadoEmpleadosActionPerformed

    private void jMenuItemListadoTrabajosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemListadoTrabajosActionPerformed
       WindowShowTrabajos windowShowTrabajos = new WindowShowTrabajos();                     
        jInternalFramePrincipal.add(windowShowTrabajos);
        windowShowTrabajos.setVisible(true);
    }//GEN-LAST:event_jMenuItemListadoTrabajosActionPerformed

    private void jMenuItemEditarEmpleadoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemEditarEmpleadoActionPerformed
        WindowEditEmpleado windowEditEmpleado = new WindowEditEmpleado();                     
        jInternalFramePrincipal.add(windowEditEmpleado);
        windowEditEmpleado.setVisible(true); 
    }//GEN-LAST:event_jMenuItemEditarEmpleadoActionPerformed

    private void jMenuItemEditarTrabajoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemEditarTrabajoActionPerformed
        WindowEditTrabajo windowEditTrabajo = new WindowEditTrabajo();                     
        jInternalFramePrincipal.add(windowEditTrabajo);
        windowEditTrabajo.setVisible(true); 
    }//GEN-LAST:event_jMenuItemEditarTrabajoActionPerformed

    private void jButtonNewEmpleadoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNewEmpleadoActionPerformed
        WindowNewEmpleado windowNewEmpleado = new WindowNewEmpleado();                     
        jInternalFramePrincipal.add(windowNewEmpleado);
        windowNewEmpleado.setVisible(true); 
    }//GEN-LAST:event_jButtonNewEmpleadoActionPerformed

    private void jButtonEditarEmpleadoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditarEmpleadoActionPerformed
        WindowEditEmpleado windowEditEmpleado = new WindowEditEmpleado();                     
        jInternalFramePrincipal.add(windowEditEmpleado);
        windowEditEmpleado.setVisible(true);
    }//GEN-LAST:event_jButtonEditarEmpleadoActionPerformed

    private void jButtonListadoEmpleadosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonListadoEmpleadosActionPerformed
        WindowShowEmpleados windowShowEmpleados = new WindowShowEmpleados();                     
        jInternalFramePrincipal.add(windowShowEmpleados);
        windowShowEmpleados.setVisible(true); 
    }//GEN-LAST:event_jButtonListadoEmpleadosActionPerformed

    private void jButtonNewTrabajoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNewTrabajoActionPerformed
        WindowNewTipoTrabajo windowNewTipoTrabajo = new WindowNewTipoTrabajo();                     
        jInternalFramePrincipal.add(windowNewTipoTrabajo);
        windowNewTipoTrabajo.setVisible(true);
    }//GEN-LAST:event_jButtonNewTrabajoActionPerformed

    private void jButtonEditarTrabajoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditarTrabajoActionPerformed
        WindowEditTrabajo windowEditTrabajo = new WindowEditTrabajo();                     
        jInternalFramePrincipal.add(windowEditTrabajo);
        windowEditTrabajo.setVisible(true); 
    }//GEN-LAST:event_jButtonEditarTrabajoActionPerformed

    private void jButtonListadoTrabajosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonListadoTrabajosActionPerformed
        WindowShowTrabajos windowShowTrabajos = new WindowShowTrabajos();                     
        jInternalFramePrincipal.add(windowShowTrabajos);
        windowShowTrabajos.setVisible(true);
    }//GEN-LAST:event_jButtonListadoTrabajosActionPerformed

    private void jMenuItemGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemGuardarActionPerformed
        guardadoGeneral();
    }//GEN-LAST:event_jMenuItemGuardarActionPerformed

    private void jButtonGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonGuardarActionPerformed
        guardadoGeneral();
    }//GEN-LAST:event_jButtonGuardarActionPerformed

    /**
     * Metodo que realiza las operaciones necesarias para el guardado y persistencia de los datos de la aplicacion
     */
    public void guardadoGeneral(){
         util = new UtilClass();
        try {
            util.saveFileEmpleados();
            util.saveFileTrabajos();
            JOptionPane.showMessageDialog(this, "La grabación de los datos en el equipo ha sido satisfactoria");
        } catch (IOException ex) {
            JOptionPane.showMessageDialog(this, "Ha ocurrido un error y la grabacion de los datos no se ha podido realizar");
            Logger.getLogger(VentanaPrincipal.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(VentanaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(VentanaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(VentanaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(VentanaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(() -> {
            new VentanaPrincipal().setVisible(true);
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonEditarEmpleado;
    private javax.swing.JButton jButtonEditarTrabajo;
    private javax.swing.JButton jButtonGuardar;
    private javax.swing.JButton jButtonListadoEmpleados;
    private javax.swing.JButton jButtonListadoTrabajos;
    private javax.swing.JButton jButtonNewEmpleado;
    private javax.swing.JButton jButtonNewTrabajo;
    private javax.swing.JInternalFrame jInternalFramePrincipal;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenu jMenu5;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuISalir;
    private javax.swing.JMenuItem jMenuItemEditarEmpleado;
    private javax.swing.JMenuItem jMenuItemEditarTrabajo;
    private javax.swing.JMenuItem jMenuItemGuardar;
    private javax.swing.JMenuItem jMenuItemListadoEmpleados;
    private javax.swing.JMenuItem jMenuItemListadoTrabajos;
    private javax.swing.JMenuItem jMenuItemNewEmpleado;
    private javax.swing.JMenuItem jMenuItemNewTrabajo;
    private javax.swing.JPopupMenu.Separator jSeparator1;
    private javax.swing.JToolBar.Separator jSeparator2;
    private javax.swing.JToolBar.Separator jSeparator3;
    private javax.swing.JToolBar jToolBar1;
    // End of variables declaration//GEN-END:variables
}
